Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class StepPluginMeta

    java.lang.Object
      org.pentaho.di.trans.StepPluginMeta

    public class StepPluginMeta

extends Object

Constructor Summary
`StepPluginMeta()`
`StepPluginMeta(Class<?> className, String[] id, String longDesc, String tooltipDesc, String imageFileName, String category)`
`StepPluginMeta(Class<?> className, String id, String longDesc, String tooltipDesc, String imageFileName, String category)`

Method Summary
`String` | `getCategory()`
`Class<?>` | `getClassName()`
`String[]` | `getId()`
`String` | `getImageFileName()`
`String` | `getLongDesc()`
`String` | `getTooltipDesc()`
`void` | `set(String property, String value)`
`void` | `setCategory(String category)`
`void` | `setClassName(Class<?> className)`
`void` | `setId(String[] id)`
`void` | `setIdWithStr(String id)`
`void` | `setImageFileName(String imageFileName)`
`void` | `setLongDesc(String longDesc)`
`void` | `setTooltipDesc(String tooltipDesc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepPluginMeta

    public StepPluginMeta()

### StepPluginMeta

    public StepPluginMeta(Class<?> className,
                          String id,
                          String longDesc,
                          String tooltipDesc,
                          String imageFileName,
                          String category)

### StepPluginMeta

    public StepPluginMeta(Class<?> className,
                          String[] id,
                          String longDesc,
                          String tooltipDesc,
                          String imageFileName,
                          String category)

Method Detail

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getClassName

    public Class<?> getClassName()

### setClassName

    public void setClassName(Class<?> className)

### getId

    public String[] getId()

### setId

    public void setId(String[] id)

### getImageFileName

    public String getImageFileName()

### setImageFileName

    public void setImageFileName(String imageFileName)

### getLongDesc

    public String getLongDesc()

### setLongDesc

    public void setLongDesc(String longDesc)

### getTooltipDesc

    public String getTooltipDesc()

### setTooltipDesc

    public void setTooltipDesc(String tooltipDesc)

### setIdWithStr

    public void setIdWithStr(String id)

### set

    public void set(String property,
                    String value)
             throws org.pentaho.di.core.exception.KettleConfigException

  Throws:
    `org.pentaho.di.core.exception.KettleConfigException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD